# Neo-Tastaturlayout
Neo ist eine *ergonomische* Tastaturbelegung, welche für die deutsche Sprache optimiert ist.

## Wichtige Kriterien

  - Optimierung bezüglich deutscher [Buch­staben­häufig­keiten](http://de.wikipedia.org/wiki/Buchstabenh%C3%A4ufigkeit) und [Bi- und Trigrammen](http://de.wikipedia.org/wiki/N-Gramm) (Ebene 1 und 2)
  - Sonderzeichen sind gut erreichbar (Ebene 3)
  - Unicode-Zeichen wie „ “ « » ∫ √ α β … sind direkt einzugeben (alle Ebenen)
  - Navigation mittels Steuerkreuz ←↑↓→ direkt auf der Haupttastatur (Ebene 4)

## Homepage

Downloads, Anleitungen zur Installation, das Benutzerhandbuch und vieles Interessante mehr ist auf der **[Projekt-Homepage](https://neo-layout.org/)** zu finden.

## Probleme? Vorschläge? Ideen?

Du möchtest ein Problem melden? Oder hast Vorschläge und neue Ideen? Dann melde dich an und eröffne ein [__neues Issue__](https://git.neo-layout.org/neo/neo-layout/issues/new).

## Technisches

Dies ist das offizielle Code-Repository. Hier können Bugs und Featurewünsche gemeldet werden. Dazu ist entweder eine [kurze Registrierung](https://git.neo-layout.org/user/sign_up) notwendig, oder eine Anmeldung [über GitHub](https://git.neo-layout.org/user/oauth2/github) mit Registrierung im gleichen Schritt. Wenn du bereits registriert bist, kannst du dein Konto beim Login auch nachträglich mit GitHub verknüpfen.

### Benutzername bereits vergeben?
Sollte dein Benutzername bereits vergeben sein, kann dies an der Migration der Accounts aus dem früheren Issuetracker (Trac) liegen. In diesem Fall bitte kurz beim Neo-Team [im Chat](https://neo-layout.org/Beitragen/Community/) melden, um deinen alten Account wiederzuerlangen.

Auf [GitHub](https://github.com/neo-layout/neo-layout/) befindet sich ein gespiegeltes Repository.


## [Videos](https://youtu.be/TJIAOwsWF7Q)

Folgende Videos zeigen den direkten Vergleich der QWERTZ- und Neo-Belegung:

[![image](https://i.ytimg.com/vi_webp/TJIAOwsWF7Q/maxresdefault.webp)](https://youtu.be/TJIAOwsWF7Q)


[QWERTZ-Video betrachten](http://youtu.be/sBO9o0V5mpw)|[Neo-Video betrachten](http://youtu.be/ZUvZi-I_utU)
---|---
