# these were mostly taken from /usr/include/X11/keysymdef.h
import re

def f(a):
    x = a
    if a in replacements:
        x = replacements[a]
    m = re.findall(r'U([0-9a-fA-F]{4})', x)
    for i in m:
        x = re.sub("U"+i, chr(int(i, 16)), x)
    return x

replacements = {
"U21BB"                      : "↻",
"U02DE"                      : "◌˞",
"dead_belowdot"              : "◌̣",
"dead_circumflex"            : "◌̂",
"dead_caron"                 : "◌̌",
"dead_breve"                 : "◌̆",
"dead_acute"                 : "◌́",
"dead_grave"                 : "◌̀",
"dead_cedilla"               : "◌̧",
"dead_abovedot"              : "◌̇",
"dead_abovering"             : "◌̊",
"dead_macron"                : "◌̄",
"dead_diaeresis"             : "◌̈",
"dead_stroke"                : "◌̸",
"dead_doubleacute"           : "◌̋",
"dead_psili"                 : "◌̓",
"dead_dasia"                 : "◌̔",
"dead_tilde"                 : "◌̃",
"dead_abovereversedcomma"    : "◌̔",
"dead_abovecomma"            : "◌̓",
"U02F5"                      : "˵",
"U0001F44D"                  : "👍",
"space": "Leerzeichen",
"nobreakspace": "geschütztes Leerzeichen",
"U202F": "schm. gesch. Leerz.",
"hyphen":"-",
"Pointer_EnableKeys":"",
"KP_Divide":"/",
"KP_Multiply":"*",
"KP_Subtract":"-",
"Prior":"⇞",
"KP_Prior":"⇞",
"BackSpace":"⌫",
"KP_Up":"⇡",
"Up":"⇡",
"Delete":"⌦",
"KP_Delete":"⌦",
"Next":"⇟",
"KP_Next":"⇟",
"KP_7":"7",
"KP_8":"8",
"KP_9":"9",
"KP_0":"0",
"KP_Add":"+",
"Home":"⇱",
"KP_Home":"⇱",
"Left":"⇠",
"Down":"⇣",
"Right":"⇢",
"End":"⇲",
"KP_Left":"⇠",
"KP_Down":"⇣",
"KP_Right":"⇢",
"KP_Begin":"",
"End":"⇲",
"KP_End":"⇲",
"KP_4":"4",
"KP_5":"5",
"KP_6":"6",
"KP_Separator":",",
"KP_Decimal":".",
"Escape":"⌧",
"Tab":"⇥",
"Insert":"⎀",
"KP_Insert":"⎀",
"Return":"⏎",
"Undo":"↶",
"Redo":"↷",
"ISO_Left_Tab":"⇤",
"KP_1":"1",
"KP_2":"2",
"KP_3":"3",
"NoSymbol":"",
"exclam":"U0021",
"quotedbl":"U0022",
"numbersign":"U0023",
"dollar":"U0024",
"percent":"U0025",
"ampersand":"&amp;",
"apostrophe":"U0027",
"parenleft":"U0028",
"parenright":"U0029",
"asterisk":"U002A",
"plus":"U002B",
"comma":"U002C",
"minus":"U002D",
"period":"U002E",
"slash":"U002F",
"0":"U0030",
"1":"U0031",
"2":"U0032",
"3":"U0033",
"4":"U0034",
"5":"U0035",
"6":"U0036",
"7":"U0037",
"8":"U0038",
"9":"U0039",
"colon":"U003A",
"semicolon":"U003B",
"less":"&lt;",
"equal":"U003D",
"greater":"&gt;",
"question":"U003F",
"at":"U0040",
"A":"U0041",
"B":"U0042",
"C":"U0043",
"D":"U0044",
"E":"U0045",
"F":"U0046",
"G":"U0047",
"H":"U0048",
"I":"U0049",
"J":"U004A",
"K":"U004B",
"L":"U004C",
"M":"U004D",
"N":"U004E",
"O":"U004F",
"P":"U0050",
"Q":"U0051",
"R":"U0052",
"S":"U0053",
"T":"U0054",
"U":"U0055",
"V":"U0056",
"W":"U0057",
"X":"U0058",
"Y":"U0059",
"Z":"U005A",
"bracketleft":"U005B",
"backslash":"\\",
"bracketright":"U005D",
"asciicircum":"U005E",
"underscore":"U005F",
"grave":"U0060",
"a":"U0061",
"b":"U0062",
"c":"U0063",
"d":"U0064",
"e":"U0065",
"f":"U0066",
"g":"U0067",
"h":"U0068",
"i":"U0069",
"j":"U006A",
"k":"U006B",
"l":"U006C",
"m":"U006D",
"n":"U006E",
"o":"U006F",
"p":"U0070",
"q":"U0071",
"r":"U0072",
"s":"U0073",
"t":"U0074",
"u":"U0075",
"v":"U0076",
"w":"U0077",
"x":"U0078",
"y":"U0079",
"z":"U007A",
"braceleft":"U007B",
"bar":"U007C",
"braceright":"U007D",
"asciitilde":"U007E",
"exclamdown":"U00A1",
"cent":"U00A2",
"sterling":"U00A3",
"currency":"U00A4",
"yen":"U00A5",
"brokenbar":"U00A6",
"section":"U00A7",
"diaeresis":"U00A8",
"copyright":"U00A9",
"ordfeminine":"U00AA",
"guillemotleft":"U00AB",
"notsign":"U00AC",
"registered":"U00AE",
"macron":"U00AF",
"degree":"U00B0",
"plusminus":"U00B1",
"twosuperior":"U00B2",
"threesuperior":"U00B3",
"acute":"U00B4",
"mu":"U00B5",
"paragraph":"U00B6",
"periodcentered":"U00B7",
"cedilla":"U00B8",
"onesuperior":"U00B9",
"masculine":"U00BA",
"guillemotright":"U00BB",
"onequarter":"U00BC",
"onehalf":"U00BD",
"threequarters":"U00BE",
"questiondown":"U00BF",
"Agrave":"U00C0",
"Aacute":"U00C1",
"Acircumflex":"U00C2",
"Atilde":"U00C3",
"Adiaeresis":"U00C4",
"Aring":"U00C5",
"AE":"U00C6",
"Ccedilla":"U00C7",
"Egrave":"U00C8",
"Eacute":"U00C9",
"Ecircumflex":"U00CA",
"Ediaeresis":"U00CB",
"Igrave":"U00CC",
"Iacute":"U00CD",
"Icircumflex":"U00CE",
"Idiaeresis":"U00CF",
"ETH":"U00D0",
"Ntilde":"U00D1",
"Ograve":"U00D2",
"Oacute":"U00D3",
"Ocircumflex":"U00D4",
"Otilde":"U00D5",
"Odiaeresis":"U00D6",
"multiply":"U00D7",
"Oslash":"U00D8",
"Ooblique":"U00D8",
"Ugrave":"U00D9",
"Uacute":"U00DA",
"Ucircumflex":"U00DB",
"Udiaeresis":"U00DC",
"Yacute":"U00DD",
"THORN":"U00DE",
"ssharp":"U00DF",
"agrave":"U00E0",
"aacute":"U00E1",
"acircumflex":"U00E2",
"atilde":"U00E3",
"adiaeresis":"U00E4",
"aring":"U00E5",
"ae":"U00E6",
"ccedilla":"U00E7",
"egrave":"U00E8",
"eacute":"U00E9",
"ecircumflex":"U00EA",
"ediaeresis":"U00EB",
"igrave":"U00EC",
"iacute":"U00ED",
"icircumflex":"U00EE",
"idiaeresis":"U00EF",
"eth":"U00F0",
"ntilde":"U00F1",
"ograve":"U00F2",
"oacute":"U00F3",
"ocircumflex":"U00F4",
"otilde":"U00F5",
"odiaeresis":"U00F6",
"division":"U00F7",
"oslash":"U00F8",
"ooblique":"U00F8",
"ugrave":"U00F9",
"uacute":"U00FA",
"ucircumflex":"U00FB",
"udiaeresis":"U00FC",
"yacute":"U00FD",
"thorn":"U00FE",
"ydiaeresis":"U00FF",
"Aogonek":"U0104",
"breve":"U02D8",
"Lstroke":"U0141",
"Lcaron":"U013D",
"Sacute":"U015A",
"Scaron":"U0160",
"Scedilla":"U015E",
"Tcaron":"U0164",
"Zacute":"U0179",
"Zcaron":"U017D",
"Zabovedot":"U017B",
"aogonek":"U0105",
"ogonek":"U02DB",
"lstroke":"U0142",
"lcaron":"U013E",
"sacute":"U015B",
"caron":"U02C7",
"scaron":"U0161",
"scedilla":"U015F",
"tcaron":"U0165",
"zacute":"U017A",
"doubleacute":"U02DD",
"zcaron":"U017E",
"zabovedot":"U017C",
"Racute":"U0154",
"Abreve":"U0102",
"Lacute":"U0139",
"Cacute":"U0106",
"Ccaron":"U010C",
"Eogonek":"U0118",
"Ecaron":"U011A",
"Dcaron":"U010E",
"Dstroke":"U0110",
"Nacute":"U0143",
"Ncaron":"U0147",
"Odoubleacute":"U0150",
"Rcaron":"U0158",
"Uring":"U016E",
"Udoubleacute":"U0170",
"Tcedilla":"U0162",
"racute":"U0155",
"abreve":"U0103",
"lacute":"U013A",
"cacute":"U0107",
"ccaron":"U010D",
"eogonek":"U0119",
"ecaron":"U011B",
"dcaron":"U010F",
"dstroke":"U0111",
"nacute":"U0144",
"ncaron":"U0148",
"odoubleacute":"U0151",
"rcaron":"U0159",
"uring":"U016F",
"udoubleacute":"U0171",
"tcedilla":"U0163",
"abovedot":"U02D9",
"Hstroke":"U0126",
"Hcircumflex":"U0124",
"Iabovedot":"U0130",
"Gbreve":"U011E",
"Jcircumflex":"U0134",
"hstroke":"U0127",
"hcircumflex":"U0125",
"idotless":"U0131",
"gbreve":"U011F",
"jcircumflex":"U0135",
"Cabovedot":"U010A",
"Ccircumflex":"U0108",
"Gabovedot":"U0120",
"Gcircumflex":"U011C",
"Ubreve":"U016C",
"Scircumflex":"U015C",
"cabovedot":"U010B",
"ccircumflex":"U0109",
"gabovedot":"U0121",
"gcircumflex":"U011D",
"ubreve":"U016D",
"scircumflex":"U015D",
"kra":"U0138",
"Rcedilla":"U0156",
"Itilde":"U0128",
"Lcedilla":"U013B",
"Emacron":"U0112",
"Gcedilla":"U0122",
"Tslash":"U0166",
"rcedilla":"U0157",
"itilde":"U0129",
"lcedilla":"U013C",
"emacron":"U0113",
"gcedilla":"U0123",
"tslash":"U0167",
"ENG":"U014A",
"eng":"U014B",
"Amacron":"U0100",
"Iogonek":"U012E",
"Eabovedot":"U0116",
"Imacron":"U012A",
"Ncedilla":"U0145",
"Omacron":"U014C",
"Kcedilla":"U0136",
"Uogonek":"U0172",
"Utilde":"U0168",
"Umacron":"U016A",
"amacron":"U0101",
"iogonek":"U012F",
"eabovedot":"U0117",
"imacron":"U012B",
"ncedilla":"U0146",
"omacron":"U014D",
"kcedilla":"U0137",
"uogonek":"U0173",
"utilde":"U0169",
"umacron":"U016B",
"Wcircumflex":"U0174",
"wcircumflex":"U0175",
"Ycircumflex":"U0176",
"ycircumflex":"U0177",
"Babovedot":"U1E02",
"babovedot":"U1E03",
"Dabovedot":"U1E0A",
"dabovedot":"U1E0B",
"Fabovedot":"U1E1E",
"fabovedot":"U1E1F",
"Mabovedot":"U1E40",
"mabovedot":"U1E41",
"Pabovedot":"U1E56",
"pabovedot":"U1E57",
"Sabovedot":"U1E60",
"sabovedot":"U1E61",
"Tabovedot":"U1E6A",
"tabovedot":"U1E6B",
"Wgrave":"U1E80",
"wgrave":"U1E81",
"Wacute":"U1E82",
"wacute":"U1E83",
"Wdiaeresis":"U1E84",
"wdiaeresis":"U1E85",
"Ygrave":"U1EF2",
"ygrave":"U1EF3",
"OE":"U0152",
"oe":"U0153",
"Ydiaeresis":"U0178",
"overline":"U203E",
"kana_fullstop":"U3002",
"kana_openingbracket":"U300C",
"kana_closingbracket":"U300D",
"kana_comma":"U3001",
"kana_conjunctive":"U30FB",
"kana_WO":"U30F2",
"kana_a":"U30A1",
"kana_i":"U30A3",
"kana_u":"U30A5",
"kana_e":"U30A7",
"kana_o":"U30A9",
"kana_ya":"U30E3",
"kana_yu":"U30E5",
"kana_yo":"U30E7",
"kana_tsu":"U30C3",
"prolongedsound":"U30FC",
"kana_A":"U30A2",
"kana_I":"U30A4",
"kana_U":"U30A6",
"kana_E":"U30A8",
"kana_O":"U30AA",
"kana_KA":"U30AB",
"kana_KI":"U30AD",
"kana_KU":"U30AF",
"kana_KE":"U30B1",
"kana_KO":"U30B3",
"kana_SA":"U30B5",
"kana_SHI":"U30B7",
"kana_SU":"U30B9",
"kana_SE":"U30BB",
"kana_SO":"U30BD",
"kana_TA":"U30BF",
"kana_CHI":"U30C1",
"kana_TSU":"U30C4",
"kana_TE":"U30C6",
"kana_TO":"U30C8",
"kana_NA":"U30CA",
"kana_NI":"U30CB",
"kana_NU":"U30CC",
"kana_NE":"U30CD",
"kana_NO":"U30CE",
"kana_HA":"U30CF",
"kana_HI":"U30D2",
"kana_FU":"U30D5",
"kana_HE":"U30D8",
"kana_HO":"U30DB",
"kana_MA":"U30DE",
"kana_MI":"U30DF",
"kana_MU":"U30E0",
"kana_ME":"U30E1",
"kana_MO":"U30E2",
"kana_YA":"U30E4",
"kana_YU":"U30E6",
"kana_YO":"U30E8",
"kana_RA":"U30E9",
"kana_RI":"U30EA",
"kana_RU":"U30EB",
"kana_RE":"U30EC",
"kana_RO":"U30ED",
"kana_WA":"U30EF",
"kana_N":"U30F3",
"voicedsound":"U309B",
"semivoicedsound":"U309C",
"Farsi_0":"U06F0",
"Farsi_1":"U06F1",
"Farsi_2":"U06F2",
"Farsi_3":"U06F3",
"Farsi_4":"U06F4",
"Farsi_5":"U06F5",
"Farsi_6":"U06F6",
"Farsi_7":"U06F7",
"Farsi_8":"U06F8",
"Farsi_9":"U06F9",
"Arabic_percent":"U066A",
"Arabic_superscript_alef":"U0670",
"Arabic_tteh":"U0679",
"Arabic_peh":"U067E",
"Arabic_tcheh":"U0686",
"Arabic_ddal":"U0688",
"Arabic_rreh":"U0691",
"Arabic_comma":"U060C",
"Arabic_fullstop":"U06D4",
"Arabic_0":"U0660",
"Arabic_1":"U0661",
"Arabic_2":"U0662",
"Arabic_3":"U0663",
"Arabic_4":"U0664",
"Arabic_5":"U0665",
"Arabic_6":"U0666",
"Arabic_7":"U0667",
"Arabic_8":"U0668",
"Arabic_9":"U0669",
"Arabic_semicolon":"U061B",
"Arabic_question_mark":"U061F",
"Arabic_hamza":"U0621",
"Arabic_maddaonalef":"U0622",
"Arabic_hamzaonalef":"U0623",
"Arabic_hamzaonwaw":"U0624",
"Arabic_hamzaunderalef":"U0625",
"Arabic_hamzaonyeh":"U0626",
"Arabic_alef":"U0627",
"Arabic_beh":"U0628",
"Arabic_tehmarbuta":"U0629",
"Arabic_teh":"U062A",
"Arabic_theh":"U062B",
"Arabic_jeem":"U062C",
"Arabic_hah":"U062D",
"Arabic_khah":"U062E",
"Arabic_dal":"U062F",
"Arabic_thal":"U0630",
"Arabic_ra":"U0631",
"Arabic_zain":"U0632",
"Arabic_seen":"U0633",
"Arabic_sheen":"U0634",
"Arabic_sad":"U0635",
"Arabic_dad":"U0636",
"Arabic_tah":"U0637",
"Arabic_zah":"U0638",
"Arabic_ain":"U0639",
"Arabic_ghain":"U063A",
"Arabic_tatweel":"U0640",
"Arabic_feh":"U0641",
"Arabic_qaf":"U0642",
"Arabic_kaf":"U0643",
"Arabic_lam":"U0644",
"Arabic_meem":"U0645",
"Arabic_noon":"U0646",
"Arabic_ha":"U0647",
"Arabic_waw":"U0648",
"Arabic_alefmaksura":"U0649",
"Arabic_yeh":"U064A",
"Arabic_fathatan":"U064B",
"Arabic_dammatan":"U064C",
"Arabic_kasratan":"U064D",
"Arabic_fatha":"U064E",
"Arabic_damma":"U064F",
"Arabic_kasra":"U0650",
"Arabic_shadda":"U0651",
"Arabic_sukun":"U0652",
"Arabic_madda_above":"U0653",
"Arabic_hamza_above":"U0654",
"Arabic_hamza_below":"U0655",
"Arabic_jeh":"U0698",
"Arabic_veh":"U06A4",
"Arabic_keheh":"U06A9",
"Arabic_gaf":"U06AF",
"Arabic_noon_ghunna":"U06BA",
"Arabic_heh_doachashmee":"U06BE",
"Farsi_yeh":"U06CC",
"Arabic_farsi_yeh":"U06CC",
"Arabic_yeh_baree":"U06D2",
"Arabic_heh_goal":"U06C1",
"Cyrillic_GHE_bar":"U0492",
"Cyrillic_ghe_bar":"U0493",
"Cyrillic_ZHE_descender":"U0496",
"Cyrillic_zhe_descender":"U0497",
"Cyrillic_KA_descender":"U049A",
"Cyrillic_ka_descender":"U049B",
"Cyrillic_KA_vertstroke":"U049C",
"Cyrillic_ka_vertstroke":"U049D",
"Cyrillic_EN_descender":"U04A2",
"Cyrillic_en_descender":"U04A3",
"Cyrillic_U_straight":"U04AE",
"Cyrillic_u_straight":"U04AF",
"Cyrillic_U_straight_bar":"U04B0",
"Cyrillic_u_straight_bar":"U04B1",
"Cyrillic_HA_descender":"U04B2",
"Cyrillic_ha_descender":"U04B3",
"Cyrillic_CHE_descender":"U04B6",
"Cyrillic_che_descender":"U04B7",
"Cyrillic_CHE_vertstroke":"U04B8",
"Cyrillic_che_vertstroke":"U04B9",
"Cyrillic_SHHA":"U04BA",
"Cyrillic_shha":"U04BB",
"Cyrillic_SCHWA":"U04D8",
"Cyrillic_schwa":"U04D9",
"Cyrillic_I_macron":"U04E2",
"Cyrillic_i_macron":"U04E3",
"Cyrillic_O_bar":"U04E8",
"Cyrillic_o_bar":"U04E9",
"Cyrillic_U_macron":"U04EE",
"Cyrillic_u_macron":"U04EF",
"Serbian_dje":"U0452",
"Macedonia_gje":"U0453",
"Cyrillic_io":"U0451",
"Ukrainian_ie":"U0454",
"Macedonia_dse":"U0455",
"Ukrainian_i":"U0456",
"Ukrainian_yi":"U0457",
"Cyrillic_je":"U0458",
"Cyrillic_lje":"U0459",
"Cyrillic_nje":"U045A",
"Serbian_tshe":"U045B",
"Macedonia_kje":"U045C",
"Ukrainian_ghe_with_upturn":"U0491",
"Byelorussian_shortu":"U045E",
"Cyrillic_dzhe":"U045F",
"numerosign":"U2116",
"Serbian_DJE":"U0402",
"Macedonia_GJE":"U0403",
"Cyrillic_IO":"U0401",
"Ukrainian_IE":"U0404",
"Macedonia_DSE":"U0405",
"Ukrainian_I":"U0406",
"Ukrainian_YI":"U0407",
"Cyrillic_JE":"U0408",
"Cyrillic_LJE":"U0409",
"Cyrillic_NJE":"U040A",
"Serbian_TSHE":"U040B",
"Macedonia_KJE":"U040C",
"Ukrainian_GHE_WITH_UPTURN":"U0490",
"Byelorussian_SHORTU":"U040E",
"Cyrillic_DZHE":"U040F",
"Cyrillic_yu":"U044E",
"Cyrillic_a":"U0430",
"Cyrillic_be":"U0431",
"Cyrillic_tse":"U0446",
"Cyrillic_de":"U0434",
"Cyrillic_ie":"U0435",
"Cyrillic_ef":"U0444",
"Cyrillic_ghe":"U0433",
"Cyrillic_ha":"U0445",
"Cyrillic_i":"U0438",
"Cyrillic_shorti":"U0439",
"Cyrillic_ka":"U043A",
"Cyrillic_el":"U043B",
"Cyrillic_em":"U043C",
"Cyrillic_en":"U043D",
"Cyrillic_o":"U043E",
"Cyrillic_pe":"U043F",
"Cyrillic_ya":"U044F",
"Cyrillic_er":"U0440",
"Cyrillic_es":"U0441",
"Cyrillic_te":"U0442",
"Cyrillic_u":"U0443",
"Cyrillic_zhe":"U0436",
"Cyrillic_ve":"U0432",
"Cyrillic_softsign":"U044C",
"Cyrillic_yeru":"U044B",
"Cyrillic_ze":"U0437",
"Cyrillic_sha":"U0448",
"Cyrillic_e":"U044D",
"Cyrillic_shcha":"U0449",
"Cyrillic_che":"U0447",
"Cyrillic_hardsign":"U044A",
"Cyrillic_YU":"U042E",
"Cyrillic_A":"U0410",
"Cyrillic_BE":"U0411",
"Cyrillic_TSE":"U0426",
"Cyrillic_DE":"U0414",
"Cyrillic_IE":"U0415",
"Cyrillic_EF":"U0424",
"Cyrillic_GHE":"U0413",
"Cyrillic_HA":"U0425",
"Cyrillic_I":"U0418",
"Cyrillic_SHORTI":"U0419",
"Cyrillic_KA":"U041A",
"Cyrillic_EL":"U041B",
"Cyrillic_EM":"U041C",
"Cyrillic_EN":"U041D",
"Cyrillic_O":"U041E",
"Cyrillic_PE":"U041F",
"Cyrillic_YA":"U042F",
"Cyrillic_ER":"U0420",
"Cyrillic_ES":"U0421",
"Cyrillic_TE":"U0422",
"Cyrillic_U":"U0423",
"Cyrillic_ZHE":"U0416",
"Cyrillic_VE":"U0412",
"Cyrillic_SOFTSIGN":"U042C",
"Cyrillic_YERU":"U042B",
"Cyrillic_ZE":"U0417",
"Cyrillic_SHA":"U0428",
"Cyrillic_E":"U042D",
"Cyrillic_SHCHA":"U0429",
"Cyrillic_CHE":"U0427",
"Cyrillic_HARDSIGN":"U042A",
"Greek_ALPHAaccent":"U0386",
"Greek_EPSILONaccent":"U0388",
"Greek_ETAaccent":"U0389",
"Greek_IOTAaccent":"U038A",
"Greek_IOTAdieresis":"U03AA",
"Greek_OMICRONaccent":"U038C",
"Greek_UPSILONaccent":"U038E",
"Greek_UPSILONdieresis":"U03AB",
"Greek_OMEGAaccent":"U038F",
"Greek_accentdieresis":"U0385",
"Greek_horizbar":"U2015",
"Greek_alphaaccent":"U03AC",
"Greek_epsilonaccent":"U03AD",
"Greek_etaaccent":"U03AE",
"Greek_iotaaccent":"U03AF",
"Greek_iotadieresis":"U03CA",
"Greek_iotaaccentdieresis":"U0390",
"Greek_omicronaccent":"U03CC",
"Greek_upsilonaccent":"U03CD",
"Greek_upsilondieresis":"U03CB",
"Greek_upsilonaccentdieresis":"U03B0",
"Greek_omegaaccent":"U03CE",
"Greek_ALPHA":"U0391",
"Greek_BETA":"U0392",
"Greek_GAMMA":"U0393",
"Greek_DELTA":"U0394",
"Greek_EPSILON":"U0395",
"Greek_ZETA":"U0396",
"Greek_ETA":"U0397",
"Greek_THETA":"U0398",
"Greek_IOTA":"U0399",
"Greek_KAPPA":"U039A",
"Greek_LAMDA":"U039B",
"Greek_LAMBDA":"U039B",
"Greek_MU":"U039C",
"Greek_NU":"U039D",
"Greek_XI":"U039E",
"Greek_OMICRON":"U039F",
"Greek_PI":"U03A0",
"Greek_RHO":"U03A1",
"Greek_SIGMA":"U03A3",
"Greek_TAU":"U03A4",
"Greek_UPSILON":"U03A5",
"Greek_PHI":"U03A6",
"Greek_CHI":"U03A7",
"Greek_PSI":"U03A8",
"Greek_OMEGA":"U03A9",
"Greek_alpha":"U03B1",
"Greek_beta":"U03B2",
"Greek_gamma":"U03B3",
"Greek_delta":"U03B4",
"Greek_epsilon":"U03B5",
"Greek_zeta":"U03B6",
"Greek_eta":"U03B7",
"Greek_theta":"U03B8",
"Greek_iota":"U03B9",
"Greek_kappa":"U03BA",
"Greek_lamda":"U03BB",
"Greek_lambda":"U03BB",
"Greek_mu":"U03BC",
"Greek_nu":"U03BD",
"Greek_xi":"U03BE",
"Greek_omicron":"U03BF",
"Greek_pi":"U03C0",
"Greek_rho":"U03C1",
"Greek_sigma":"U03C3",
"Greek_finalsmallsigma":"U03C2",
"Greek_tau":"U03C4",
"Greek_upsilon":"U03C5",
"Greek_phi":"U03C6",
"Greek_chi":"U03C7",
"Greek_psi":"U03C8",
"Greek_omega":"U03C9",
"leftradical":"U23B7",
"topleftradical":"U250C",
"horizconnector":"U2500",
"topintegral":"U2320",
"botintegral":"U2321",
"vertconnector":"U2502",
"topleftsqbracket":"U23A1",
"botleftsqbracket":"U23A3",
"toprightsqbracket":"U23A4",
"botrightsqbracket":"U23A6",
"topleftparens":"U239B",
"botleftparens":"U239D",
"toprightparens":"U239E",
"botrightparens":"U23A0",
"leftmiddlecurlybrace":"U23A8",
"rightmiddlecurlybrace":"U23AC",
"lessthanequal":"U2264",
"notequal":"U2260",
"greaterthanequal":"U2265",
"integral":"U222B",
"therefore":"U2234",
"variation":"U221D",
"infinity":"U221E",
"nabla":"U2207",
"approximate":"U223C",
"similarequal":"U2243",
"ifonlyif":"U21D4",
"implies":"U21D2",
"identical":"U2261",
"radical":"U221A",
"includedin":"U2282",
"includes":"U2283",
"intersection":"U2229",
"union":"U222A",
"logicaland":"U2227",
"logicalor":"U2228",
"partialderivative":"U2202",
"function":"U0192",
"leftarrow":"U2190",
"uparrow":"U2191",
"rightarrow":"U2192",
"downarrow":"U2193",
"soliddiamond":"U25C6",
"checkerboard":"U2592",
"ht":"U2409",
"ff":"U240C",
"cr":"U240D",
"lf":"U240A",
"nl":"U2424",
"vt":"U240B",
"lowrightcorner":"U2518",
"uprightcorner":"U2510",
"upleftcorner":"U250C",
"lowleftcorner":"U2514",
"crossinglines":"U253C",
"horizlinescan1":"U23BA",
"horizlinescan3":"U23BB",
"horizlinescan5":"U2500",
"horizlinescan7":"U23BC",
"horizlinescan9":"U23BD",
"leftt":"U251C",
"rightt":"U2524",
"bott":"U2534",
"topt":"U252C",
"vertbar":"U2502",
"emspace":"U2003",
"enspace":"U2002",
"em3space":"U2004",
"em4space":"U2005",
"digitspace":"U2007",
"punctspace":"U2008",
"thinspace":"U2009",
"hairspace":"U200A",
"emdash":"U2014",
"endash":"U2013",
"signifblank":"U2423",
"ellipsis":"U2026",
"doubbaselinedot":"U2025",
"onethird":"U2153",
"twothirds":"U2154",
"onefifth":"U2155",
"twofifths":"U2156",
"threefifths":"U2157",
"fourfifths":"U2158",
"onesixth":"U2159",
"fivesixths":"U215A",
"careof":"U2105",
"figdash":"U2012",
"leftanglebracket":"U27E8",
"decimalpoint":"U002E",
"rightanglebracket":"U27E9",
"oneeighth":"U215B",
"threeeighths":"U215C",
"fiveeighths":"U215D",
"seveneighths":"U215E",
"trademark":"U2122",
"signaturemark":"U2613",
"trademarkincircle":"",
"leftopentriangle":"U25C1",
"rightopentriangle":"U25B7",
"emopencircle":"U25CB",
"emopenrectangle":"U25AF",
"leftsinglequotemark":"U2018",
"rightsinglequotemark":"U2019",
"leftdoublequotemark":"U201C",
"rightdoublequotemark":"U201D",
"prescription":"U211E",
"permille":"U2030",
"minutes":"U2032",
"seconds":"U2033",
"latincross":"U271D",
"filledrectbullet":"U25AC",
"filledlefttribullet":"U25C0",
"filledrighttribullet":"U25B6",
"emfilledcircle":"U25CF",
"emfilledrect":"U25AE",
"enopencircbullet":"U25E6",
"enopensquarebullet":"U25AB",
"openrectbullet":"U25AD",
"opentribulletup":"U25B3",
"opentribulletdown":"U25BD",
"openstar":"U2606",
"enfilledcircbullet":"U2022",
"enfilledsqbullet":"U25AA",
"filledtribulletup":"U25B2",
"filledtribulletdown":"U25BC",
"leftpointer":"U261C",
"rightpointer":"U261E",
"club":"U2663",
"diamond":"U2666",
"heart":"U2665",
"maltesecross":"U2720",
"dagger":"U2020",
"doubledagger":"U2021",
"checkmark":"U2713",
"ballotcross":"U2717",
"musicalsharp":"U266F",
"musicalflat":"U266D",
"malesymbol":"U2642",
"femalesymbol":"U2640",
"telephone":"U260E",
"telephonerecorder":"U2315",
"phonographcopyright":"U2117",
"caret":"U2038",
"singlelowquotemark":"U201A",
"doublelowquotemark":"U201E",
"leftcaret":"U003C",
"rightcaret":"U003E",
"downcaret":"U2228",
"upcaret":"U2227",
"overbar":"U00AF",
"downtack":"U22A4",
"upshoe":"U2229",
"downstile":"U230A",
"underbar":"U005F",
"jot":"U2218",
"quad":"U2395",
"uptack":"U22A5",
"circle":"U25CB",
"upstile":"U2308",
"downshoe":"U222A",
"rightshoe":"U2283",
"leftshoe":"U2282",
"lefttack":"U22A3",
"righttack":"U22A2",
"hebrew_doublelowline":"U2017",
"hebrew_aleph":"U05D0",
"hebrew_bet":"U05D1",
"hebrew_gimel":"U05D2",
"hebrew_dalet":"U05D3",
"hebrew_he":"U05D4",
"hebrew_waw":"U05D5",
"hebrew_zain":"U05D6",
"hebrew_chet":"U05D7",
"hebrew_tet":"U05D8",
"hebrew_yod":"U05D9",
"hebrew_finalkaph":"U05DA",
"hebrew_kaph":"U05DB",
"hebrew_lamed":"U05DC",
"hebrew_finalmem":"U05DD",
"hebrew_mem":"U05DE",
"hebrew_finalnun":"U05DF",
"hebrew_nun":"U05E0",
"hebrew_samech":"U05E1",
"hebrew_ayin":"U05E2",
"hebrew_finalpe":"U05E3",
"hebrew_pe":"U05E4",
"hebrew_finalzade":"U05E5",
"hebrew_zade":"U05E6",
"hebrew_qoph":"U05E7",
"hebrew_resh":"U05E8",
"hebrew_shin":"U05E9",
"hebrew_taw":"U05EA",
"Thai_kokai":"U0E01",
"Thai_khokhai":"U0E02",
"Thai_khokhuat":"U0E03",
"Thai_khokhwai":"U0E04",
"Thai_khokhon":"U0E05",
"Thai_khorakhang":"U0E06",
"Thai_ngongu":"U0E07",
"Thai_chochan":"U0E08",
"Thai_choching":"U0E09",
"Thai_chochang":"U0E0A",
"Thai_soso":"U0E0B",
"Thai_chochoe":"U0E0C",
"Thai_yoying":"U0E0D",
"Thai_dochada":"U0E0E",
"Thai_topatak":"U0E0F",
"Thai_thothan":"U0E10",
"Thai_thonangmontho":"U0E11",
"Thai_thophuthao":"U0E12",
"Thai_nonen":"U0E13",
"Thai_dodek":"U0E14",
"Thai_totao":"U0E15",
"Thai_thothung":"U0E16",
"Thai_thothahan":"U0E17",
"Thai_thothong":"U0E18",
"Thai_nonu":"U0E19",
"Thai_bobaimai":"U0E1A",
"Thai_popla":"U0E1B",
"Thai_phophung":"U0E1C",
"Thai_fofa":"U0E1D",
"Thai_phophan":"U0E1E",
"Thai_fofan":"U0E1F",
"Thai_phosamphao":"U0E20",
"Thai_moma":"U0E21",
"Thai_yoyak":"U0E22",
"Thai_rorua":"U0E23",
"Thai_ru":"U0E24",
"Thai_loling":"U0E25",
"Thai_lu":"U0E26",
"Thai_wowaen":"U0E27",
"Thai_sosala":"U0E28",
"Thai_sorusi":"U0E29",
"Thai_sosua":"U0E2A",
"Thai_hohip":"U0E2B",
"Thai_lochula":"U0E2C",
"Thai_oang":"U0E2D",
"Thai_honokhuk":"U0E2E",
"Thai_paiyannoi":"U0E2F",
"Thai_saraa":"U0E30",
"Thai_maihanakat":"U0E31",
"Thai_saraaa":"U0E32",
"Thai_saraam":"U0E33",
"Thai_sarai":"U0E34",
"Thai_saraii":"U0E35",
"Thai_saraue":"U0E36",
"Thai_sarauee":"U0E37",
"Thai_sarau":"U0E38",
"Thai_sarauu":"U0E39",
"Thai_phinthu":"U0E3A",
"Thai_baht":"U0E3F",
"Thai_sarae":"U0E40",
"Thai_saraae":"U0E41",
"Thai_sarao":"U0E42",
"Thai_saraaimaimuan":"U0E43",
"Thai_saraaimaimalai":"U0E44",
"Thai_lakkhangyao":"U0E45",
"Thai_maiyamok":"U0E46",
"Thai_maitaikhu":"U0E47",
"Thai_maiek":"U0E48",
"Thai_maitho":"U0E49",
"Thai_maitri":"U0E4A",
"Thai_maichattawa":"U0E4B",
"Thai_thanthakhat":"U0E4C",
"Thai_nikhahit":"U0E4D",
"Thai_leksun":"U0E50",
"Thai_leknung":"U0E51",
"Thai_leksong":"U0E52",
"Thai_leksam":"U0E53",
"Thai_leksi":"U0E54",
"Thai_lekha":"U0E55",
"Thai_lekhok":"U0E56",
"Thai_lekchet":"U0E57",
"Thai_lekpaet":"U0E58",
"Thai_lekkao":"U0E59",
"Korean_Won":"U20A9",
"Armenian_ligature_ew":"U0587",
"Armenian_full_stop":"U0589",
"Armenian_verjaket":"U0589",
"Armenian_separation_mark":"U055D",
"Armenian_but":"U055D",
"Armenian_hyphen":"U058A",
"Armenian_yentamna":"U058A",
"Armenian_exclam":"U055C",
"Armenian_amanak":"U055C",
"Armenian_accent":"U055B",
"Armenian_shesht":"U055B",
"Armenian_question":"U055E",
"Armenian_paruyk":"U055E",
"Armenian_AYB":"U0531",
"Armenian_ayb":"U0561",
"Armenian_BEN":"U0532",
"Armenian_ben":"U0562",
"Armenian_GIM":"U0533",
"Armenian_gim":"U0563",
"Armenian_DA":"U0534",
"Armenian_da":"U0564",
"Armenian_YECH":"U0535",
"Armenian_yech":"U0565",
"Armenian_ZA":"U0536",
"Armenian_za":"U0566",
"Armenian_E":"U0537",
"Armenian_e":"U0567",
"Armenian_AT":"U0538",
"Armenian_at":"U0568",
"Armenian_TO":"U0539",
"Armenian_to":"U0569",
"Armenian_ZHE":"U053A",
"Armenian_zhe":"U056A",
"Armenian_INI":"U053B",
"Armenian_ini":"U056B",
"Armenian_LYUN":"U053C",
"Armenian_lyun":"U056C",
"Armenian_KHE":"U053D",
"Armenian_khe":"U056D",
"Armenian_TSA":"U053E",
"Armenian_tsa":"U056E",
"Armenian_KEN":"U053F",
"Armenian_ken":"U056F",
"Armenian_HO":"U0540",
"Armenian_ho":"U0570",
"Armenian_DZA":"U0541",
"Armenian_dza":"U0571",
"Armenian_GHAT":"U0542",
"Armenian_ghat":"U0572",
"Armenian_TCHE":"U0543",
"Armenian_tche":"U0573",
"Armenian_MEN":"U0544",
"Armenian_men":"U0574",
"Armenian_HI":"U0545",
"Armenian_hi":"U0575",
"Armenian_NU":"U0546",
"Armenian_nu":"U0576",
"Armenian_SHA":"U0547",
"Armenian_sha":"U0577",
"Armenian_VO":"U0548",
"Armenian_vo":"U0578",
"Armenian_CHA":"U0549",
"Armenian_cha":"U0579",
"Armenian_PE":"U054A",
"Armenian_pe":"U057A",
"Armenian_JE":"U054B",
"Armenian_je":"U057B",
"Armenian_RA":"U054C",
"Armenian_ra":"U057C",
"Armenian_SE":"U054D",
"Armenian_se":"U057D",
"Armenian_VEV":"U054E",
"Armenian_vev":"U057E",
"Armenian_TYUN":"U054F",
"Armenian_tyun":"U057F",
"Armenian_RE":"U0550",
"Armenian_re":"U0580",
"Armenian_TSO":"U0551",
"Armenian_tso":"U0581",
"Armenian_VYUN":"U0552",
"Armenian_vyun":"U0582",
"Armenian_PYUR":"U0553",
"Armenian_pyur":"U0583",
"Armenian_KE":"U0554",
"Armenian_ke":"U0584",
"Armenian_O":"U0555",
"Armenian_o":"U0585",
"Armenian_FE":"U0556",
"Armenian_fe":"U0586",
"Armenian_apostrophe":"U055A",
"Georgian_an":"U10D0",
"Georgian_ban":"U10D1",
"Georgian_gan":"U10D2",
"Georgian_don":"U10D3",
"Georgian_en":"U10D4",
"Georgian_vin":"U10D5",
"Georgian_zen":"U10D6",
"Georgian_tan":"U10D7",
"Georgian_in":"U10D8",
"Georgian_kan":"U10D9",
"Georgian_las":"U10DA",
"Georgian_man":"U10DB",
"Georgian_nar":"U10DC",
"Georgian_on":"U10DD",
"Georgian_par":"U10DE",
"Georgian_zhar":"U10DF",
"Georgian_rae":"U10E0",
"Georgian_san":"U10E1",
"Georgian_tar":"U10E2",
"Georgian_un":"U10E3",
"Georgian_phar":"U10E4",
"Georgian_khar":"U10E5",
"Georgian_ghan":"U10E6",
"Georgian_qar":"U10E7",
"Georgian_shin":"U10E8",
"Georgian_chin":"U10E9",
"Georgian_can":"U10EA",
"Georgian_jil":"U10EB",
"Georgian_cil":"U10EC",
"Georgian_char":"U10ED",
"Georgian_xan":"U10EE",
"Georgian_jhan":"U10EF",
"Georgian_hae":"U10F0",
"Georgian_he":"U10F1",
"Georgian_hie":"U10F2",
"Georgian_we":"U10F3",
"Georgian_har":"U10F4",
"Georgian_hoe":"U10F5",
"Georgian_fi":"U10F6",
"Xabovedot":"U1E8A",
"Ibreve":"U012C",
"Zstroke":"U01B5",
"Gcaron":"U01E6",
"Ocaron":"U01D1",
"Obarred":"U019F",
"xabovedot":"U1E8B",
"ibreve":"U012D",
"zstroke":"U01B6",
"gcaron":"U01E7",
"ocaron":"U01D2",
"obarred":"U0275",
"SCHWA":"U018F",
"schwa":"U0259",
"EZH":"U01B7",
"ezh":"U0292",
"Lbelowdot":"U1E36",
"lbelowdot":"U1E37",
"Abelowdot":"U1EA0",
"abelowdot":"U1EA1",
"Ahook":"U1EA2",
"ahook":"U1EA3",
"Acircumflexacute":"U1EA4",
"acircumflexacute":"U1EA5",
"Acircumflexgrave":"U1EA6",
"acircumflexgrave":"U1EA7",
"Acircumflexhook":"U1EA8",
"acircumflexhook":"U1EA9",
"Acircumflextilde":"U1EAA",
"acircumflextilde":"U1EAB",
"Acircumflexbelowdot":"U1EAC",
"acircumflexbelowdot":"U1EAD",
"Abreveacute":"U1EAE",
"abreveacute":"U1EAF",
"Abrevegrave":"U1EB0",
"abrevegrave":"U1EB1",
"Abrevehook":"U1EB2",
"abrevehook":"U1EB3",
"Abrevetilde":"U1EB4",
"abrevetilde":"U1EB5",
"Abrevebelowdot":"U1EB6",
"abrevebelowdot":"U1EB7",
"Ebelowdot":"U1EB8",
"ebelowdot":"U1EB9",
"Ehook":"U1EBA",
"ehook":"U1EBB",
"Etilde":"U1EBC",
"etilde":"U1EBD",
"Ecircumflexacute":"U1EBE",
"ecircumflexacute":"U1EBF",
"Ecircumflexgrave":"U1EC0",
"ecircumflexgrave":"U1EC1",
"Ecircumflexhook":"U1EC2",
"ecircumflexhook":"U1EC3",
"Ecircumflextilde":"U1EC4",
"ecircumflextilde":"U1EC5",
"Ecircumflexbelowdot":"U1EC6",
"ecircumflexbelowdot":"U1EC7",
"Ihook":"U1EC8",
"ihook":"U1EC9",
"Ibelowdot":"U1ECA",
"ibelowdot":"U1ECB",
"Obelowdot":"U1ECC",
"obelowdot":"U1ECD",
"Ohook":"U1ECE",
"ohook":"U1ECF",
"Ocircumflexacute":"U1ED0",
"ocircumflexacute":"U1ED1",
"Ocircumflexgrave":"U1ED2",
"ocircumflexgrave":"U1ED3",
"Ocircumflexhook":"U1ED4",
"ocircumflexhook":"U1ED5",
"Ocircumflextilde":"U1ED6",
"ocircumflextilde":"U1ED7",
"Ocircumflexbelowdot":"U1ED8",
"ocircumflexbelowdot":"U1ED9",
"Ohornacute":"U1EDA",
"ohornacute":"U1EDB",
"Ohorngrave":"U1EDC",
"ohorngrave":"U1EDD",
"Ohornhook":"U1EDE",
"ohornhook":"U1EDF",
"Ohorntilde":"U1EE0",
"ohorntilde":"U1EE1",
"Ohornbelowdot":"U1EE2",
"ohornbelowdot":"U1EE3",
"Ubelowdot":"U1EE4",
"ubelowdot":"U1EE5",
"Uhook":"U1EE6",
"uhook":"U1EE7",
"Uhornacute":"U1EE8",
"uhornacute":"U1EE9",
"Uhorngrave":"U1EEA",
"uhorngrave":"U1EEB",
"Uhornhook":"U1EEC",
"uhornhook":"U1EED",
"Uhorntilde":"U1EEE",
"uhorntilde":"U1EEF",
"Uhornbelowdot":"U1EF0",
"uhornbelowdot":"U1EF1",
"Ybelowdot":"U1EF4",
"ybelowdot":"U1EF5",
"Yhook":"U1EF6",
"yhook":"U1EF7",
"Ytilde":"U1EF8",
"ytilde":"U1EF9",
"Ohorn":"U01A0",
"ohorn":"U01A1",
"Uhorn":"U01AF",
"uhorn":"U01B0",
"EcuSign":"U20A0",
"ColonSign":"U20A1",
"CruzeiroSign":"U20A2",
"FFrancSign":"U20A3",
"LiraSign":"U20A4",
"MillSign":"U20A5",
"NairaSign":"U20A6",
"PesetaSign":"U20A7",
"RupeeSign":"U20A8",
"WonSign":"U20A9",
"NewSheqelSign":"U20AA",
"DongSign":"U20AB",
"EuroSign":"U20AC",
"zerosuperior":"U2070",
"foursuperior":"U2074",
"fivesuperior":"U2075",
"sixsuperior":"U2076",
"sevensuperior":"U2077",
"eightsuperior":"U2078",
"ninesuperior":"U2079",
"zerosubscript":"U2080",
"onesubscript":"U2081",
"twosubscript":"U2082",
"threesubscript":"U2083",
"foursubscript":"U2084",
"fivesubscript":"U2085",
"sixsubscript":"U2086",
"sevensubscript":"U2087",
"eightsubscript":"U2088",
"ninesubscript":"U2089",
"partdifferential":"U2202",
"emptyset":"U2205",
"elementof":"U2208",
"notelementof":"U2209",
"containsas":"U220B",
"squareroot":"U221A",
"cuberoot":"U221B",
"fourthroot":"U221C",
"dintegral":"U222C",
"tintegral":"U222D",
"because":"U2235",
"approxeq":"U2248",
"notapproxeq":"U2247",
"notidentical":"U2262",
"stricteq":"U2263",
"braille_blank":"U2800",
"braille_dots_1":"U2801",
"braille_dots_2":"U2802",
"braille_dots_12":"U2803",
"braille_dots_3":"U2804",
"braille_dots_13":"U2805",
"braille_dots_23":"U2806",
"braille_dots_123":"U2807",
"braille_dots_4":"U2808",
"braille_dots_14":"U2809",
"braille_dots_24":"U280a",
"braille_dots_124":"U280b",
"braille_dots_34":"U280c",
"braille_dots_134":"U280d",
"braille_dots_234":"U280e",
"braille_dots_1234":"U280f",
"braille_dots_5":"U2810",
"braille_dots_15":"U2811",
"braille_dots_25":"U2812",
"braille_dots_125":"U2813",
"braille_dots_35":"U2814",
"braille_dots_135":"U2815",
"braille_dots_235":"U2816",
"braille_dots_1235":"U2817",
"braille_dots_45":"U2818",
"braille_dots_145":"U2819",
"braille_dots_245":"U281a",
"braille_dots_1245":"U281b",
"braille_dots_345":"U281c",
"braille_dots_1345":"U281d",
"braille_dots_2345":"U281e",
"braille_dots_12345":"U281f",
"braille_dots_6":"U2820",
"braille_dots_16":"U2821",
"braille_dots_26":"U2822",
"braille_dots_126":"U2823",
"braille_dots_36":"U2824",
"braille_dots_136":"U2825",
"braille_dots_236":"U2826",
"braille_dots_1236":"U2827",
"braille_dots_46":"U2828",
"braille_dots_146":"U2829",
"braille_dots_246":"U282a",
"braille_dots_1246":"U282b",
"braille_dots_346":"U282c",
"braille_dots_1346":"U282d",
"braille_dots_2346":"U282e",
"braille_dots_12346":"U282f",
"braille_dots_56":"U2830",
"braille_dots_156":"U2831",
"braille_dots_256":"U2832",
"braille_dots_1256":"U2833",
"braille_dots_356":"U2834",
"braille_dots_1356":"U2835",
"braille_dots_2356":"U2836",
"braille_dots_12356":"U2837",
"braille_dots_456":"U2838",
"braille_dots_1456":"U2839",
"braille_dots_2456":"U283a",
"braille_dots_12456":"U283b",
"braille_dots_3456":"U283c",
"braille_dots_13456":"U283d",
"braille_dots_23456":"U283e",
"braille_dots_123456":"U283f",
"braille_dots_7":"U2840",
"braille_dots_17":"U2841",
"braille_dots_27":"U2842",
"braille_dots_127":"U2843",
"braille_dots_37":"U2844",
"braille_dots_137":"U2845",
"braille_dots_237":"U2846",
"braille_dots_1237":"U2847",
"braille_dots_47":"U2848",
"braille_dots_147":"U2849",
"braille_dots_247":"U284a",
"braille_dots_1247":"U284b",
"braille_dots_347":"U284c",
"braille_dots_1347":"U284d",
"braille_dots_2347":"U284e",
"braille_dots_12347":"U284f",
"braille_dots_57":"U2850",
"braille_dots_157":"U2851",
"braille_dots_257":"U2852",
"braille_dots_1257":"U2853",
"braille_dots_357":"U2854",
"braille_dots_1357":"U2855",
"braille_dots_2357":"U2856",
"braille_dots_12357":"U2857",
"braille_dots_457":"U2858",
"braille_dots_1457":"U2859",
"braille_dots_2457":"U285a",
"braille_dots_12457":"U285b",
"braille_dots_3457":"U285c",
"braille_dots_13457":"U285d",
"braille_dots_23457":"U285e",
"braille_dots_123457":"U285f",
"braille_dots_67":"U2860",
"braille_dots_167":"U2861",
"braille_dots_267":"U2862",
"braille_dots_1267":"U2863",
"braille_dots_367":"U2864",
"braille_dots_1367":"U2865",
"braille_dots_2367":"U2866",
"braille_dots_12367":"U2867",
"braille_dots_467":"U2868",
"braille_dots_1467":"U2869",
"braille_dots_2467":"U286a",
"braille_dots_12467":"U286b",
"braille_dots_3467":"U286c",
"braille_dots_13467":"U286d",
"braille_dots_23467":"U286e",
"braille_dots_123467":"U286f",
"braille_dots_567":"U2870",
"braille_dots_1567":"U2871",
"braille_dots_2567":"U2872",
"braille_dots_12567":"U2873",
"braille_dots_3567":"U2874",
"braille_dots_13567":"U2875",
"braille_dots_23567":"U2876",
"braille_dots_123567":"U2877",
"braille_dots_4567":"U2878",
"braille_dots_14567":"U2879",
"braille_dots_24567":"U287a",
"braille_dots_124567":"U287b",
"braille_dots_34567":"U287c",
"braille_dots_134567":"U287d",
"braille_dots_234567":"U287e",
"braille_dots_1234567":"U287f",
"braille_dots_8":"U2880",
"braille_dots_18":"U2881",
"braille_dots_28":"U2882",
"braille_dots_128":"U2883",
"braille_dots_38":"U2884",
"braille_dots_138":"U2885",
"braille_dots_238":"U2886",
"braille_dots_1238":"U2887",
"braille_dots_48":"U2888",
"braille_dots_148":"U2889",
"braille_dots_248":"U288a",
"braille_dots_1248":"U288b",
"braille_dots_348":"U288c",
"braille_dots_1348":"U288d",
"braille_dots_2348":"U288e",
"braille_dots_12348":"U288f",
"braille_dots_58":"U2890",
"braille_dots_158":"U2891",
"braille_dots_258":"U2892",
"braille_dots_1258":"U2893",
"braille_dots_358":"U2894",
"braille_dots_1358":"U2895",
"braille_dots_2358":"U2896",
"braille_dots_12358":"U2897",
"braille_dots_458":"U2898",
"braille_dots_1458":"U2899",
"braille_dots_2458":"U289a",
"braille_dots_12458":"U289b",
"braille_dots_3458":"U289c",
"braille_dots_13458":"U289d",
"braille_dots_23458":"U289e",
"braille_dots_123458":"U289f",
"braille_dots_68":"U28a0",
"braille_dots_168":"U28a1",
"braille_dots_268":"U28a2",
"braille_dots_1268":"U28a3",
"braille_dots_368":"U28a4",
"braille_dots_1368":"U28a5",
"braille_dots_2368":"U28a6",
"braille_dots_12368":"U28a7",
"braille_dots_468":"U28a8",
"braille_dots_1468":"U28a9",
"braille_dots_2468":"U28aa",
"braille_dots_12468":"U28ab",
"braille_dots_3468":"U28ac",
"braille_dots_13468":"U28ad",
"braille_dots_23468":"U28ae",
"braille_dots_123468":"U28af",
"braille_dots_568":"U28b0",
"braille_dots_1568":"U28b1",
"braille_dots_2568":"U28b2",
"braille_dots_12568":"U28b3",
"braille_dots_3568":"U28b4",
"braille_dots_13568":"U28b5",
"braille_dots_23568":"U28b6",
"braille_dots_123568":"U28b7",
"braille_dots_4568":"U28b8",
"braille_dots_14568":"U28b9",
"braille_dots_24568":"U28ba",
"braille_dots_124568":"U28bb",
"braille_dots_34568":"U28bc",
"braille_dots_134568":"U28bd",
"braille_dots_234568":"U28be",
"braille_dots_1234568":"U28bf",
"braille_dots_78":"U28c0",
"braille_dots_178":"U28c1",
"braille_dots_278":"U28c2",
"braille_dots_1278":"U28c3",
"braille_dots_378":"U28c4",
"braille_dots_1378":"U28c5",
"braille_dots_2378":"U28c6",
"braille_dots_12378":"U28c7",
"braille_dots_478":"U28c8",
"braille_dots_1478":"U28c9",
"braille_dots_2478":"U28ca",
"braille_dots_12478":"U28cb",
"braille_dots_3478":"U28cc",
"braille_dots_13478":"U28cd",
"braille_dots_23478":"U28ce",
"braille_dots_123478":"U28cf",
"braille_dots_578":"U28d0",
"braille_dots_1578":"U28d1",
"braille_dots_2578":"U28d2",
"braille_dots_12578":"U28d3",
"braille_dots_3578":"U28d4",
"braille_dots_13578":"U28d5",
"braille_dots_23578":"U28d6",
"braille_dots_123578":"U28d7",
"braille_dots_4578":"U28d8",
"braille_dots_14578":"U28d9",
"braille_dots_24578":"U28da",
"braille_dots_124578":"U28db",
"braille_dots_34578":"U28dc",
"braille_dots_134578":"U28dd",
"braille_dots_234578":"U28de",
"braille_dots_1234578":"U28df",
"braille_dots_678":"U28e0",
"braille_dots_1678":"U28e1",
"braille_dots_2678":"U28e2",
"braille_dots_12678":"U28e3",
"braille_dots_3678":"U28e4",
"braille_dots_13678":"U28e5",
"braille_dots_23678":"U28e6",
"braille_dots_123678":"U28e7",
"braille_dots_4678":"U28e8",
"braille_dots_14678":"U28e9",
"braille_dots_24678":"U28ea",
"braille_dots_124678":"U28eb",
"braille_dots_34678":"U28ec",
"braille_dots_134678":"U28ed",
"braille_dots_234678":"U28ee",
"braille_dots_1234678":"U28ef",
"braille_dots_5678":"U28f0",
"braille_dots_15678":"U28f1",
"braille_dots_25678":"U28f2",
"braille_dots_125678":"U28f3",
"braille_dots_35678":"U28f4",
"braille_dots_135678":"U28f5",
"braille_dots_235678":"U28f6",
"braille_dots_1235678":"U28f7",
"braille_dots_45678":"U28f8",
"braille_dots_145678":"U28f9",
"braille_dots_245678":"U28fa",
"braille_dots_1245678":"U28fb",
"braille_dots_345678":"U28fc",
"braille_dots_1345678":"U28fd",
"braille_dots_2345678":"U28fe",
"braille_dots_12345678":"U28ff",
"Sinh_ng":"U0D82",
"Sinh_h2":"U0D83",
"Sinh_a":"U0D85",
"Sinh_aa":"U0D86",
"Sinh_ae":"U0D87",
"Sinh_aee":"U0D88",
"Sinh_i":"U0D89",
"Sinh_ii":"U0D8A",
"Sinh_u":"U0D8B",
"Sinh_uu":"U0D8C",
"Sinh_ri":"U0D8D",
"Sinh_rii":"U0D8E",
"Sinh_lu":"U0D8F",
"Sinh_luu":"U0D90",
"Sinh_e":"U0D91",
"Sinh_ee":"U0D92",
"Sinh_ai":"U0D93",
"Sinh_o":"U0D94",
"Sinh_oo":"U0D95",
"Sinh_au":"U0D96",
"Sinh_ka":"U0D9A",
"Sinh_kha":"U0D9B",
"Sinh_ga":"U0D9C",
"Sinh_gha":"U0D9D",
"Sinh_ng2":"U0D9E",
"Sinh_nga":"U0D9F",
"Sinh_ca":"U0DA0",
"Sinh_cha":"U0DA1",
"Sinh_ja":"U0DA2",
"Sinh_jha":"U0DA3",
"Sinh_nya":"U0DA4",
"Sinh_jnya":"U0DA5",
"Sinh_nja":"U0DA6",
"Sinh_tta":"U0DA7",
"Sinh_ttha":"U0DA8",
"Sinh_dda":"U0DA9",
"Sinh_ddha":"U0DAA",
"Sinh_nna":"U0DAB",
"Sinh_ndda":"U0DAC",
"Sinh_tha":"U0DAD",
"Sinh_thha":"U0DAE",
"Sinh_dha":"U0DAF",
"Sinh_dhha":"U0DB0",
"Sinh_na":"U0DB1",
"Sinh_ndha":"U0DB3",
"Sinh_pa":"U0DB4",
"Sinh_pha":"U0DB5",
"Sinh_ba":"U0DB6",
"Sinh_bha":"U0DB7",
"Sinh_ma":"U0DB8",
"Sinh_mba":"U0DB9",
"Sinh_ya":"U0DBA",
"Sinh_ra":"U0DBB",
"Sinh_la":"U0DBD",
"Sinh_va":"U0DC0",
"Sinh_sha":"U0DC1",
"Sinh_ssha":"U0DC2",
"Sinh_sa":"U0DC3",
"Sinh_ha":"U0DC4",
"Sinh_lla":"U0DC5",
"Sinh_fa":"U0DC6",
"Sinh_al":"U0DCA",
"Sinh_aa2":"U0DCF",
"Sinh_ae2":"U0DD0",
"Sinh_aee2":"U0DD1",
"Sinh_i2":"U0DD2",
"Sinh_ii2":"U0DD3",
"Sinh_u2":"U0DD4",
"Sinh_uu2":"U0DD6",
"Sinh_ru2":"U0DD8",
"Sinh_e2":"U0DD9",
"Sinh_ee2":"U0DDA",
"Sinh_ai2":"U0DDB",
"Sinh_o2":"U0DDC",
"Sinh_oo2":"U0DDD",
"Sinh_au2":"U0DDE",
"Sinh_lu2":"U0DDF",
"Sinh_ruu2":"U0DF2",
"Sinh_luu2":"U0DF3",
"Sinh_kunddaliya":"U0DF4"
}
