/****************************** Module Header ******************************\
* Module Name: KBDGR2.H
* Header fr das deutsche unergonomische Layout 2.0
\***************************************************************************/
// basiert auf den in der kbd.h definierten KBD-Type 4
#define KBD_TYPE 4

// kbd.h einschlieen
#include "kbd.h"
#include <dontuse.h>

// Aktivieren fr Vertauschung Strichtaste und -Taste
// #define LOW_ESZETT


/* **************************************************************************************************************\
* 
*       +---+ +---------------+ +---------------+ +---------------+   +--------------+                       
*       |T01| |F1 F2 F3 F4 | |F5 F6 F7 F8 | |F9 F10F11F12|   |DrukRollPaus|                       
*       +---+ +---------------+ +---------------+ +---------------+   +--------------+                       
*       +---------------------------------------------------------+   +--------------+   +---------------+   
*       |T29T02T03T04T05T06T07T08T09T0AT0BT0CT0D T0E |   |EinfPos1PgUp|   Num /  *  -    
*       |---------------------------------------------------------|   |--------------|   +---+---+---+---   
*       |T0FT10T11T12T13T14T15T16T17T18T19T1AT1B Ret |   |EntfEndePgDn|    7  8  9       
*       |-----------------------------------------------------+   |   +--------------+   +---+---+---      
*       | T3A T1ET1FT20T21T22T23T24T25T26T27T28T2B   |                       4  5  6  +    
*       |---------------------------------------------------------|        +----+        +---+---+---+---   
*       |T2A T56T2CT2DT2ET2FT30T31T32T33T34T35 T36    |        | Up |         1  2  3       
*       |---------------------------------------------------------|   +----+----+----+   +-------+---      
*       | Str  Fe  Al      Leerzeichen    X38  Fe  Me  Str |   |LeftDown Re.    0      , Ent   
*       +---------------------------------------------------------+   +--------------+   +---------------+   
* 
* 
*       +---+ +---------------+ +---------------+ +---------------+   +--------------+                       
*       |Esc| |F1 F2 F3 F4 | |F5 F6 F7 F8 | |F9 F10F11F12|   |DrukRollPaus|                       
*       +---+ +---------------+ +---------------+ +---------------+   +--------------+                       
*       +---------------------------------------------------------+   +--------------+   +---------------+   
*       |T1 1  2  3  4  5  6  7  8  9  0  -  T2 Back |   |EinfPos1PgUp|   Num /  *  -    
*       |---------------------------------------------------------|   |--------------|   +---+---+---+---   
*       |Tabx  v  l  c  w  k  h  g  f  q    T3  Ret |   |EntfEndePgDn|    7  8  9       
*       |-----------------------------------------------------+   |   +--------------+   +---+---+---      
*       | M3  u  i  a  e  o  s  n  r  t  d  y  M3    |                       4  5  6  +    
*       |---------------------------------------------------------|        +----+        +---+---+---+---   
*       |Ums M4       p  z  b  m  ,  .  j   Umsch  |        | Up |         1  2  3       
*       |---------------------------------------------------------|   +----+----+----+   +-------+---      
*       | Str  Fe  Al      Leerzeichen     M4  Fe  Me  Str |   |LeftDown Re.    0      , Ent   
*       +---------------------------------------------------------+   +--------------+   +---------------+  
* 
\************************************************************************************************************** */

//qwertz
#undef  T15
#define T15 _EQ(                                        'Z'                      )
#undef  T2C
#define T2C _EQ(                                        'Y'                      )

//OEM-Tasten:
#undef  T29//T1
#define T29 _EQ(                                       OEM_1                      )
#undef  T0D//T2
#define T0D _EQ(                                       OEM_2                      )
#undef  T1B//T3
#define T1B _EQ(                                       OEM_4                      )

#ifdef LOW_ESZETT
// T0C ist bereits als OEM_MINUS in kbd.h definiert
#undef  T35//qwertz-_
#define T35 _EQ(                                       OEM_3                      )
#else
#undef  T0C//qwertz-
#define T0C _EQ(                                       OEM_3                      )
#undef  T35//qwertz-_
#define T35 _EQ(                                       OEM_MINUS                  )
#endif

#undef  T1A//qwertz-
#define T1A _EQ(                                       OEM_5                      )
#undef  T27//qwertz-
#define T27 _EQ(                                       OEM_6                      )
#undef  T28//qwertz-
#define T28 _EQ(                                       OEM_7                      )
// Tastenumbelegung fr Neo 2.0 ; sonstige Tastenzuordnung siehe kbd.h
#undef  T2B
#define T2B _EQ(		 OEM_102	)	// Mod 3
#undef  T3A
#define T3A _EQ(		 OEM_102	)	// Mod 3
#undef  X38
#define X38 _EQ(		 OEM_8		)	// Mod 4
#undef  T56
#define T56 _EQ(		 OEM_8		)	// Mod 4